Name: icu
Version: 3.6
Release: alt1.M40.2

Summary: International Components for Unicode
Group: System/Libraries
License: X License
URL: http://www-306.ibm.com/software/globalization/icu/index.jsp

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: icu4c-3_6-src.tgz

Patch0: icu-3.6-alt-setBreakType-public.patch

Patch10: icu-3.6-regexp.patch

# Automatically added by buildreq on Mon Aug 09 2004
BuildRequires: doxygen gcc-c++ libstdc++-devel

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support. 

%package utils
Summary: International Components for Unicode (utilities)
Group: Text tools
Requires: libicu = %version-%release
Provides: icu = %version-%release
Obsoletes: icu

%description utils
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the utilites for compiling and developing 
programs with ICU. 

%package -n libicu
Summary: International Components for Unicode (libraries)
Group: System/Libraries

%description -n libicu
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU. 

%package -n libicu-devel
Summary: International Components for Unicode (development files)
Group: Development/C++
Requires: libicu = %version-%release
Requires: icu-utils = %version-%release

%description -n libicu-devel
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the development files for ICU.

%package samples
Summary: Sample programs for ICU
Group: Development/Other
Requires: libicu-devel = %version-%release

%description samples
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains sample code for ICU.

%prep
%setup -q -n icu

%patch0 -p1

%patch10 -p1

%build
cd source
%configure
%make_build

%install
cd source
%makeinstall 
%make -C samples clean
%__cp -a samples %buildroot%_datadir/icu

%post -n libicu
%post_ldconfig

%postun	-n libicu
%postun_ldconfig

%files utils
%_bindir/*
%exclude %_bindir/icu-config
%_sbindir/*
%exclude %_man1dir/icu-config.1*
%_man1dir/*
%_man8dir/*

%files -n libicu
%doc *.html
%_libdir/*.so.*

%files -n libicu-devel
%_bindir/icu-config
%_libdir/*.so
%_libdir/icu
%_includedir/*
%_datadir/icu
%exclude %_datadir/icu/samples
%_man1dir/icu-config.1*

%files samples
%_datadir/icu/samples

%changelog
* Fri Jan 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.6-alt1.M40.2
- fixed CVE-2007-4770, CVE-2007-4771

* Sat Dec 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.6-alt1.M40.1
- setBreakType to public

* Mon Nov 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.6-alt1
- 3.6

* Mon May 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.4.1-alt1
- Updated to 3.4.1

* Mon Sep 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.4-alt1
- Updated to 3.4
- Removed binaries from the samples directory
- Added URL

* Thu Feb 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.2-alt1
- Updated to 3.2
- Major spec cleanup
- Introduced samples subpackage

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.0-alt3.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 21 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt3
- Fixed dependece

* Tue Sep  7 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt2
- fixed [Bug 5048]

* Mon Aug  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt1
- release

* Thu Apr 29 2004 Pavel S. Mironchik <tibor@altlinux.ru> 2.8-alt1
- initial build for Sisyphus 
